summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-util/obs-service-meta
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-util/obs-service-meta')
-rw-r--r--dev-util/obs-service-meta/metadata.xml8
-rw-r--r--dev-util/obs-service-meta/obs-service-meta-1.ebuild37
-rw-r--r--dev-util/obs-service-meta/obs-service-meta-2.ebuild41
3 files changed, 86 insertions, 0 deletions
diff --git a/dev-util/obs-service-meta/metadata.xml b/dev-util/obs-service-meta/metadata.xml
new file mode 100644
index 00000000000..bf2692f5562
--- /dev/null
+++ b/dev-util/obs-service-meta/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>suse</herd>
+<longdescription lang="en">
+This is a source service for Open Build Service. This service runs all checks from osc-source_validator. This can be used to guarantee that all checks succeed also on the service side. This plugin can be used via project wide defined services.
+</longdescription>
+</pkgmetadata>
diff --git a/dev-util/obs-service-meta/obs-service-meta-1.ebuild b/dev-util/obs-service-meta/obs-service-meta-1.ebuild
new file mode 100644
index 00000000000..28caab8f8a9
--- /dev/null
+++ b/dev-util/obs-service-meta/obs-service-meta-1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Metapackage to pull all open build service services"
+HOMEPAGE="http://openbuildservice.org/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ dev-util/obs-service-cpanspec
+ dev-util/obs-service-download_files
+ dev-util/obs-service-download_src_package
+ dev-util/obs-service-download_url
+ dev-util/obs-service-extract_file
+ dev-util/obs-service-format_spec_file
+ dev-util/obs-service-generator_driver_update_disk
+ dev-util/obs-service-recompress
+ dev-util/obs-service-set_version
+ dev-util/obs-service-source_validator
+ dev-util/obs-service-verify_file
+"
+
+pkg_postinst() {
+ if ! has_version dev-util/obs-service-tar_scm ; then
+ elog "You should consider installing also following package"
+ elog "if you plan to work with SCM packages:"
+ elog " dev-util/obs-service-tar_scm"
+ fi
+}
diff --git a/dev-util/obs-service-meta/obs-service-meta-2.ebuild b/dev-util/obs-service-meta/obs-service-meta-2.ebuild
new file mode 100644
index 00000000000..bc4374a7ac5
--- /dev/null
+++ b/dev-util/obs-service-meta/obs-service-meta-2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Metapackage to pull all open build service services"
+HOMEPAGE="http://openbuildservice.org/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ dev-util/obs-service-cpanspec
+ dev-util/obs-service-download_files
+ dev-util/obs-service-download_src_package
+ dev-util/obs-service-download_url
+ dev-util/obs-service-extract_file
+ dev-util/obs-service-format_spec_file
+ dev-util/obs-service-generator_driver_update_disk
+ dev-util/obs-service-git_tarballs
+ dev-util/obs-service-github_tarballs
+ dev-util/obs-service-rearchive
+ dev-util/obs-service-recompress
+ dev-util/obs-service-set_version
+ dev-util/obs-service-source_validator
+ dev-util/obs-service-update_source
+ dev-util/obs-service-verify_file
+"
+
+pkg_postinst() {
+ if ! has_version dev-util/obs-service-tar_scm ; then
+ elog "You should consider installing also following package"
+ elog "if you plan to work with SCM packages:"
+ elog " dev-util/obs-service-tar_scm"
+ fi
+}